# QVM: Quaternions, Vectors, Matrices

### boost/qvm/mat_index.hpp

### Synopsis:

#include <boost/qvm/mat_index.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_mat<A>::value
            template <class A>
            typename mat_traits<A>::scalar_type
            mat_index_read( A const & a, int r, int c );

            //Only enabled if:
            //  is_mat<A>::value
            template <class A>
            typename mat_traits<A>::scalar_type &
            mat_index_write( A & a, int r, int c );
        }
    }

See also: mat_index_read | mat_index_write